<?php
/**
* Color Settings.
* @package Event Decorations
*/

$event_decorations_default = event_decorations_get_default_theme_options();

$wp_customize->add_setting( 'event_decorations_default_text_color',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'event_decorations_default_text_color',
    array(
        'label'      => esc_html__( 'Text Color', 'event-decorations' ),
        'section'    => 'colors',
        'settings'   => 'event_decorations_default_text_color',
    ) ) 
);

$wp_customize->add_setting( 'event_decorations_border_color',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'event_decorations_border_color',
    array(
        'label'      => esc_html__( 'Border Color', 'event-decorations' ),
        'section'    => 'colors',
        'settings'   => 'event_decorations_border_color',
    ) ) 
);